Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Marketplace Client Project » _SELF_ is not registered error(Cannot install plug-ins, receiving _SELF_ is not registered error)
_SELF_ is not registered error [message #1858785] Fri, 21 April 2023 16:00
Matt Burton is currently offline Matt BurtonFriend
Messages: 1
Registered: April 2023
Junior Member
I am a returning Eclipse user after years away and trying to get setup to develop Open Liberty apps. I am running Eclipse version 2023-03 (4.27.0)
and I attempted to install the "IBM Liberty Developer Tools 22.2" plugin from the marketplace and I immediately receive the following error:

Problems occurred while performing provisioning operation: Profile id _SELF_ is not registered.
Profile id _SELF_ is not registered.

I have seen comments in other sites about removing Eclipse and the ,p2 folder and reinstalling, but that didn't help. Any ideas how to resolve this?

Note my workspace is free of any projects yet, I thought the order of operation should be:
1. Install Eclipse
2. Install IBM Liberty Developer Tools
3. Download/install an Open Liberty (outside of Eclipse)
4. Setup a new Liberty Server in Eclipse
5. Start creating Eclipse projects

Perhaps I am doing something out of order?
Previous Topic:Please, it won't let me open the marketplace
Goto Forum:
  


Current Time: Wed Apr 24 14:56:20 GMT 2024

Powered by FUDForum. Page generated in 0.02949 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top